pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: HEADS UP: security/audit-packages removal

Greg Troxel wrote:
> Adrian Portelli <> writes:
>> Unless there are any major objections I'm going to remove
>> security/audit-packages from pkgsrc on 13th January.
>> The current pkgtools/pkg_install package provides new functionality and
>> better performance than the current audit-package package.
> Is it the case that on all installed systems with pkgtools in the base
> system, that either a) pkgsrc will object to the tools as old and force
> pkg_install from pkgsrcrc or b) the base system tools include
> audit-packages?  If that's true, sounds fine to me.

If you're running NetBSD HEAD dated after 20070714 you will have the new
audit-packages files in the base system.  You can still install
pkgtools/pkg_install if you wish, as they will install to ${PREFIX} and
pkgsrc will use them in preference to the pkg_install in the base.

As of pkg_install-20070714 security/audit-packages and
pkgtools/pkg_install will conflict as they both install the same
audit-packages files.  So, if someone is running security/audit-packages
and they wish to upgrade after I remove the package from CVS it's a
simple matter of 'pkg_delete audit-packages' and install an updated

So I think that's a 'true' on both counts :)


Home | Main Index | Thread Index | Old Index